org.apache.ignite.internal.processors.cache.distributed.dht.atomic

## Class GridNearAtomicAbstractUpdateRequest

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.GridCacheMessage
  - - org.apache.ignite.internal.processors.cache.distributed.dht.atomic.GridNearAtomicAbstractUpdateRequest

All Implemented Interfaces:
  Serializable, GridCacheDeployable, Message

Direct Known Subclasses:
  GridNearAtomicAbstractSingleUpdateRequest, GridNearAtomicFullUpdateRequest

    public abstract class GridNearAtomicAbstractUpdateRequest
    extends GridCacheMessage
    implements GridCacheDeployable

See Also:
  Serialized Form

### Field Summary

Fields
`static int` `CACHE_MSG_IDX` Message index.

### Fields inherited from class org.apache.ignite.internal.processors.cache.GridCacheMessage

`addDepInfo, CACHE_MSG_INDEX_FIELD_NAME, cacheId, forceAddDepInfo, MAX_CACHE_MSG_LOOKUP_INDEX`

### Constructor Summary

Constructors
Constructor and Description
`GridNearAtomicAbstractUpdateRequest()`

### Method Summary

Methods
`abstract void` `addUpdateEntry(KeyCacheObject key, Object val, long conflictTtl, long conflictExpireTime, GridCacheVersion conflictVer, boolean primary)`
`abstract void` `cleanup(boolean clearKeys)` Cleanup values.
`abstract boolean` `clientRequest()`
`abstract long` `conflictExpireTime(int idx)`
`abstract long` `conflictTtl(int idx)`
`abstract GridCacheVersion` `conflictVersion(int idx)`
`abstract List<GridCacheVersion>` `conflictVersions()`
`abstract javax.cache.processor.EntryProcessor<Object,Object,Object>` `entryProcessor(int idx)`
`abstract javax.cache.expiry.ExpiryPolicy` `expiry()`
`abstract boolean` `fastMap()`
`abstract CacheEntryPredicate[]` `filter()`
`abstract GridCacheVersion` `futureVersion()`
`abstract boolean` `hasPrimary()`
`abstract Object[]` `invokeArguments()`
`abstract boolean` `keepBinary()`
`abstract KeyCacheObject` `key(int idx)`
`abstract List<KeyCacheObject>` `keys()`
`abstract UUID` `nodeId()`
`abstract void` `nodeId(UUID nodeId)`
`abstract boolean` `onResponse(GridNearAtomicUpdateResponse res)`
`abstract GridCacheOperation` `operation()`
`abstract GridNearAtomicUpdateResponse` `response()`
`abstract boolean` `returnValue()`
`abstract int` `size()`
`abstract boolean` `skipStore()`
`abstract UUID` `subjectId()`
`abstract int` `taskNameHash()`
`abstract boolean` `topologyLocked()`
`abstract GridCacheVersion` `updateVersion()`
`abstract CacheObject` `value(int idx)`
`abstract List<?>` `values()`
`abstract CacheWriteSynchronizationMode` `writeSynchronizationMode()`
`abstract CacheObject` `writeValue(int idx)`

### Methods inherited from class org.apache.ignite.internal.processors.cache.GridCacheMessage

`addDeploymentInfo, cacheId, cacheId, classError, deployInfo, error, finishUnmarshal, finishUnmarshalCacheObjects, finishUnmarshalCacheObjects, ignoreClassErrors, lookupIndex, marshalCollection, marshalInfo, marshalInfos, marshalInvokeArguments, marshalTx, messageId, messageLogger, nextIndexId, onAckReceived, onClassError, partitionExchangeMessage, prepare, prepareMarshal, prepareMarshalCacheObject, prepareMarshalCacheObjects, prepareMarshalCacheObjects, prepareObject, readFrom, topologyVersion, toString, transferExpiryPolicy, unmarshalCollection, unmarshalInfo, unmarshalInfos, unmarshalInvokeArguments, unmarshalTx, writeTo`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.apache.ignite.internal.processors.cache.GridCacheDeployable

`deployInfo, prepare`

### Methods inherited from interface org.apache.ignite.plugin.extensions.communication.Message

`directType, fieldsCount`

### Field Detail

#### CACHE_MSG_IDX

    public static final int CACHE_MSG_IDX

Message index.

### Constructor Detail

#### GridNearAtomicAbstractUpdateRequest

    public GridNearAtomicAbstractUpdateRequest()

### Method Detail

#### nodeId

    public abstract UUID nodeId()

Returns:
  Mapped node ID.

#### nodeId

    public abstract void nodeId(UUID nodeId)

Parameters:
  `nodeId` - Node ID.

#### subjectId

    public abstract UUID subjectId()

Returns:
  Subject ID.

#### taskNameHash

    public abstract int taskNameHash()

Returns:
  Task name hash.

#### futureVersion

    public abstract GridCacheVersion futureVersion()

Returns:
  Future version.

#### fastMap

    public abstract boolean fastMap()

Returns:
  Flag indicating whether this is fast-map udpate.

#### updateVersion

    public abstract GridCacheVersion updateVersion()

Returns:
  Update version for fast-map request.

#### topologyLocked

    public abstract boolean topologyLocked()

Returns:
  Topology locked flag.

#### clientRequest

    public abstract boolean clientRequest()

Returns:
  `True` if request sent from client node.

#### writeSynchronizationMode

    public abstract CacheWriteSynchronizationMode writeSynchronizationMode()

Returns:
  Cache write synchronization mode.

#### expiry

    public abstract javax.cache.expiry.ExpiryPolicy expiry()

Returns:
  Expiry policy.

#### returnValue

    public abstract boolean returnValue()

Returns:
  Return value flag.

#### filter

    @Nullable
    public abstract CacheEntryPredicate[] filter()

Returns:
  Filter.

#### skipStore

    public abstract boolean skipStore()

Returns:
  Skip write-through to a persistent storage.

#### keepBinary

    public abstract boolean keepBinary()

Returns:
  Keep binary flag.

#### operation

    public abstract GridCacheOperation operation()

Returns:
  Update operation.

#### invokeArguments

    @Nullable
    public abstract Object[] invokeArguments()

Returns:
  Optional arguments for entry processor.

#### hasPrimary

    public abstract boolean hasPrimary()

Returns:
  Flag indicating whether this request contains primary keys.

#### onResponse

    public abstract boolean onResponse(GridNearAtomicUpdateResponse res)

Parameters:
  `res` - Response.
Returns:
  `True` if current response was `null`.

#### response

    @Nullable
    public abstract GridNearAtomicUpdateResponse response()

Returns:
  Response.

#### addUpdateEntry

    public abstract void addUpdateEntry(KeyCacheObject key,
                      @Nullable
                      Object val,
                      long conflictTtl,
                      long conflictExpireTime,
                      @Nullable
                      GridCacheVersion conflictVer,
                      boolean primary)

Parameters:
  `key` - Key to add.
  `val` - Optional update value.
  `conflictTtl` - Conflict TTL (optional).
  `conflictExpireTime` - Conflict expire time (optional).
  `conflictVer` - Conflict version (optional).
  `primary` - If given key is primary on this mapping.

#### keys

    public abstract List<KeyCacheObject> keys()

Returns:
  Keys for this update request.

#### values

    public abstract List<?> values()

Returns:
  Values for this update request.

#### value

    public abstract CacheObject value(int idx)

Parameters:
  `idx` - Key index.
Returns:
  Value.

#### entryProcessor

    public abstract javax.cache.processor.EntryProcessor<Object,Object,Object> entryProcessor(int idx)

Parameters:
  `idx` - Key index.
Returns:
  Entry processor.

#### writeValue

    public abstract CacheObject writeValue(int idx)

Parameters:
  `idx` - Index to get.
Returns:
  Write value - either value, or transform closure.

#### conflictVersions

    @Nullable
    public abstract List<GridCacheVersion> conflictVersions()

Returns:
  Conflict versions.

#### conflictVersion

    @Nullable
    public abstract GridCacheVersion conflictVersion(int idx)

Parameters:
  `idx` - Index.
Returns:
  Conflict version.

#### conflictTtl

    public abstract long conflictTtl(int idx)

Parameters:
  `idx` - Index.
Returns:
  Conflict TTL.

#### conflictExpireTime

    public abstract long conflictExpireTime(int idx)

Parameters:
  `idx` - Index.
Returns:
  Conflict expire time.

#### cleanup

    public abstract void cleanup(boolean clearKeys)

Cleanup values.

Parameters:
  `clearKeys` - If `true` clears keys.

#### size

    public abstract int size()

Returns:
  Keys size.

#### key

    public abstract KeyCacheObject key(int idx)

Parameters:
  `idx` - Key index.
Returns:
  Key.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.8.0
Release Date | : December 5 2016